List Webhook Deliveries

GET /webhooks/{id}/deliveries

List webhook deliveries

Path Parameters

id string required

Query Parameters

page integer
pageSize integer
curl -X GET \
-H "x-api-key: dsk_your_api_key" \
https://api.tracore.io/webhooks/doc_abc123/deliveries
import { TracoreClient } from '@tracore/sdk';

const client = new TracoreClient({ apiKey: 'dsk_your_api_key' });

const { data } = await client.webhooks.listDeliveries('wh_abc123');
console.log(data);
200 Response
{
  "total": 1,
  "page": 1,
  "pageSize": 20,
  "data": [
    {
      "id": "ws_abc123",
      "webhookEndpointId": "wh_abc123",
      "event": "run.completed",
      "payload": {
        "key": "value"
      },
      "statusCode": 200,
      "responseBody": "{\"ok\":true}",
      "error": null,
      "success": true,
      "durationMs": 245,
      "createdAt": "2024-03-15T10:30:00Z"
    }
  ]
}